Bug 834964 - Review Request: filedrop - Drag-and-drop support for Java
Review Request: filedrop - Drag-and-drop support for Java
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-24 21:35 EDT by Eric Smith
Modified: 2015-03-05 07:37 EST (History)
4 users (show)

See Also:
Fixed In Version: filedrop-1.1-2.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-05 07:37:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mizdebsk: fedora‑review+
spacewar: needinfo-
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Eric Smith 2012-06-24 21:35:13 EDT
Spec URL: http://fedorapeople.org/~brouhaha/filedrop/filedrop.spec
SRPM URL: http://fedorapeople.org/~brouhaha/filedrop/filedrop-1.1-1.fc16.src.rpm
Description: 
FileDrop makes it easy to drag and drop files from the operating
system to a Java program. Any java.awt.Component can be dropped onto,
but only javax.swing.JComponents will indicate the drop event with a
changed border.
Fedora Account System Username: brouhaha
Comment 1 Jason Tibbitts 2013-06-04 16:29:53 EDT
I am triaging old review tickets.  I apologize that it has been so long since
anyone looked at this ticket, but there are more packages submitted now than
the pool of reviewers can handle, and some tickets fall through the cracks.

In order to keep the queue manageable, we need to occasionally find tickets
which are not reviewable so as to not waste what reviewer time is available.
Accordingly, I'm pinging this ticket and setting NEEDINFO.  If you are still
interested in having your package reviewed, please do the following:

* Make sure your package still reflects the current status of its upstream.

* Check that your package still builds on current Fedora releases.

* Audit your package versus the current status of the packaging guidelines,
  current rpmlint and current fedora-review tools.

And, finally, reply, making sure that the NEEDINFO flag gets cleared so that
this ticket reappears in the review queue.  I can't promise a review if you
reply, but by closing out the stale tickets we can devote extra attention to
the ones which aren't stale.

One quick note from spec inspection: don't use "%__install"; just call "install" instead.  The macros are pointless and discouraged by the guidelines.
Comment 2 Eric Smith 2013-06-04 17:08:00 EDT
Spec URL: http://fedorapeople.org/~brouhaha/filedrop/filedrop.spec
SRPM URL: http://fedorapeople.org/~brouhaha/filedrop/filedrop-1.1-2.fc19.src.rpm

Removed use of "%__install" macro per request.  No rpmlint complaints other than specious spelling warnings.  No fedora-review complaints.
Comment 3 Sven Baus 2013-10-26 13:43:17 EDT
INFORMAL REVIEW:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
  Note: No javadoc subpackage present
  See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation
- Javadoc documentation files are generated and included in -javadoc
  subpackage
  Note: No javadoc subpackage present
  See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[-]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 2 files have unknown license. Detailed output of
     licensecheck in /home/sven/834964-filedrop/licensecheck.txt
[?]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[?]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[?]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
[x]: Bundled jar/class files should be removed before build

Maven:
[-]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[?]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[ ]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: filedrop-1.1-2.fc18.noarch.rpm
          filedrop-1.1-2.fc18.src.rpm
filedrop.noarch: W: spelling-error %description -l en_US awt -> aw, at, wt
filedrop.noarch: W: spelling-error %description -l en_US javax -> java, java x, Java
filedrop.noarch: W: spelling-error %description -l en_US JComponents -> J Components, Components, Component
filedrop.src: W: spelling-error %description -l en_US awt -> aw, at, wt
filedrop.src: W: spelling-error %description -l en_US javax -> java, java x, Java
filedrop.src: W: spelling-error %description -l en_US JComponents -> J Components, Components, Component
2 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint filedrop
filedrop.noarch: W: spelling-error %description -l en_US awt -> aw, at, wt
filedrop.noarch: W: spelling-error %description -l en_US javax -> java, java x, Java
filedrop.noarch: W: spelling-error %description -l en_US JComponents -> J Components, Components, Component
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
filedrop (rpmlib, GLIBC filtered):
    java
    jpackage-utils



Provides
--------
filedrop:
    filedrop



Source checksums
----------------
http://download.sourceforge.net/iharder/filedrop-1.1.zip :
  CHECKSUM(SHA256) this package     : 6192e6def2dadb31c88714ecf09e56015293c67961a996de02fc3d45dfade86c
  CHECKSUM(SHA256) upstream package : 6192e6def2dadb31c88714ecf09e56015293c67961a996de02fc3d45dfade86c


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 834964
Buildroot used: fedora-18-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 4 Mikolaj Izdebski 2015-02-12 00:27:36 EST
Package looks OK. Licensing OK. Builds fine. Latest upstream version, sources match upstream.

I don't know what export NO_BRP_CHECK_BYTECODE_VERSION=true is for, but it shouldn't hurt.

rpmlint:

filedrop.noarch: W: spelling-error %description -l en_US awt -> aw, at, wt
filedrop.noarch: W: spelling-error %description -l en_US javax -> java, java x, Java
filedrop.noarch: W: spelling-error %description -l en_US JComponents -> J Components, Components, Component
filedrop.src: W: spelling-error %description -l en_US awt -> aw, at, wt
filedrop.src: W: spelling-error %description -l en_US javax -> java, java x, Java
filedrop.src: W: spelling-error %description -l en_US JComponents -> J Components, Components, Component
2 packages and 0 specfiles checked; 0 errors, 6 warnings.
Comment 5 Eric Smith 2015-02-12 01:59:39 EST
New Package SCM Request
=======================
Package Name: filedrop
Short Description: Drag-and-drop support for Java
Upstream URL: http://iharder.sourceforge.net/current/java/filedrop/
Owners: brouhaha
Branches: f21 epel7
InitialCC:
Comment 6 Gwyn Ciesla 2015-02-12 08:17:06 EST
Git done (by process-git-requests).

Added f22 since we've branched.
Comment 7 Fedora Update System 2015-02-13 19:34:59 EST
filedrop-1.1-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/filedrop-1.1-2.fc21
Comment 8 Fedora Update System 2015-02-14 22:19:27 EST
filedrop-1.1-2.fc21 has been pushed to the Fedora 21 testing repository.
Comment 9 Fedora Update System 2015-03-05 07:37:12 EST
filedrop-1.1-2.fc21 has been pushed to the Fedora 21 stable repository.

Note You need to log in before you can comment on or make changes to this bug.